Bug 35939 - scrolling help window loses white background
scrolling help window loses white background
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-14 18:43 EDT by Marty Shannon
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-24 15:42:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marty Shannon 2001-04-14 18:43:19 EDT
This is in SEAWOLF!

Using CDROM GUI install, I scrolled the help window from the "select
keyboard" page, and the parts of the help window that were scrolled into
the viewable area had a gray background (not white, as the rest of the help
screen is), then scrolled back up, and the part of the screen that had
previously shown a white background but was scrolled out of view showed a
gray background.  Not a killer, but really ugly.

This may not really be for anaconda, but I dunnow what component actually
does the screen drawing for anaconda at this point.
Comment 1 Brent Fox 2001-04-15 00:19:30 EDT
Weird.  We have not seen this during our internal testing.
Comment 2 Brent Fox 2001-04-15 00:39:28 EDT
Sounds like GTK+ is not repainting the screen properly.
Ok, here's a few questions:
1) Does this happen in every screen or just the keyboard?
2) Is it reproducible?
3) Are you doing the install in a non-English language?
4) Have you gone to a virtual console and then come back to the GUI?
5) Does this happen if you start the install with the 'nofb' option?
Comment 3 Marty Shannon 2001-04-15 00:48:42 EDT
Using English.
Using FB.
Pretty sure I didn't flip to another console.

Will check on other questions as I start next (re-)install.
Comment 4 Marty Shannon 2001-04-15 02:11:47 EDT
Ok, it is definitely reproducible, but it only appears on the "select keyboard"
screen.  Will try "nofb" tomorrow if that's still useful.
Comment 5 Brent Fox 2001-04-17 11:23:18 EDT
I've verified this problem in both framebuffer and non-framebuffer mode.
Comment 6 Brent Fox 2001-04-21 19:16:50 EDT
It's not clear whether this is a GTK problem or not.  It doesn't happen with any
other screens that I can tell.  Also, clicking "Hide help" and then "Show help"
causes the problem to stop.  That is, until you back up to the beginning of the
installer and then go forward again.
Comment 7 Brent Fox 2001-04-24 15:42:04 EDT
The installer uses the GtkXHtml widget for the online help.  This widget is
being replaced with the release of GTK+ 2.0, so this problem will go away once
we make the switch to the new GTK.  This is a bug in GtkXHtml, which is
unmaintained, so we cannot fix this without porting to GTK+ 2.0

Note You need to log in before you can comment on or make changes to this bug.